Bug 245302 - Localization on disk
Localization on disk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xdg-user-dirs (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 05:47 EDT by Olaf Fraczyk
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 05:48:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olaf Fraczyk 2007-06-22 05:47:57 EDT
Description of problem:
The directories are localized on disk

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
Having localized files/directories on disk will allways cause problems.
What if I want to have 2 concurrent sessions with different locale? What if I
switch locales between sessions - rename? 
For example if I change from pl_PL to en_US:
How do you know what to do if I have ~/Music and ~/Muzyka directories already?
And what happens if I manually change in my private users config to some totally
different name?
It looks really messy.

Additional info:
Comment 1 Alexander Larsson 2007-06-25 05:48:42 EDT
This has been discussed a lot previously, and the decision has been made already.
Comment 2 Olaf Fraczyk 2007-06-25 07:23:19 EDT
It doesn't mean that the decision was right.
If you want it to keep it closed feel free. But it won't make it working better.

Note You need to log in before you can comment on or make changes to this bug.